On Friday, February 23, 2018 at 1:16:19 PM UTC, Jun Omae wrote:
>
> Hi,
>
> On Fri, Feb 23, 2018 at 8:13 PM, David Johnstone <
> david.johnst...@locata.com> wrote:
>
>> Good Evening,
>>
>>  
>>
>> When I attempt to access “Tag System à Replace” from the Admin menu, 
>> trac crashes with the error message “ValueError: too many values to unpack”
>>
>>  
>>
>> Is this a configuration error or a bug?
>>
>>  
>>
>> Tracebase --
>>
>>  
>>
>> 2018-02-23 22:06:57,882 Trac[main] ERROR: [192.168.10.153] Internal 
>> Server Error: <RequestWithSession "GET '/admin/tags/replace'">, referrer '
>> http://172.16.12.41/admin'
>>
>> Traceback (most recent call last):
>>
>>   File "/usr/lib64/python2.7/site-packages/trac/web/main.py", line 623, 
>> in _dispatch_request
>>
>>     dispatcher.dispatch(req)
>>
>>   File "/usr/lib64/python2.7/site-packages/trac/web/main.py", line 239, 
>> in dispatch
>>
>>     resp = chosen_handler.process_request(req)
>>
>>   File "/usr/lib64/python2.7/site-packages/trac/admin/web_ui.py", line 
>> 109, in process_request
>>
>>    provider.render_admin_panel(req, cat_id, panel_id, path_info)
>>
>> ValueError: too many values to unpack
>>
>
> ​It seems that tagsplugin/trunk is installed. The tagsplugin/trunk is to 
> develop with both Trac stable releases and trunk, so unstable. Instead, try 
> to use tagsplugin/tags/0.9 for Trac 1.2.x.
>
> ​If you want to use tagsplugin/trunk on Trac 1.2.x or 1.3dev (trunk), try 
> to apply the following patch:​
>
> diff --git a/tagsplugin/trunk/tractags/admin.py 
> b/tagsplugin/trunk/tractags/admin.py
> index 08ccd0eab..0ad94e9fc 100644
> --- a/tagsplugin/trunk/tractags/admin.py
> +++ b/tagsplugin/trunk/tractags/admin.py
> @@ -61,4 +61,4 @@ class TagChangeAdminPanel(Component):
>          all_tags = sorted(tag_system.get_all_tags(req, query))
>          data['tags'] = all_tags
>          Chrome(self.env).add_textarea_grips(req)
> -        return 'admin_tag_change.html', data, None
> +        return 'admin_tag_change.html', data
>
> -- 
> Jun Omae <jun6...@gmail.com> (大前 潤)
>

In r16943, I had intended to keep it compatible with Trac 1.2, but clearly 
did not.
Should be fixed in [17046:17047].

Thanks,
- Ryan

https://trac-hacks.org/changeset/16943
https://trac-hacks.org/changeset?new=17047%40tagsplugin&old=17045%40tagsplugin
 

-- 
You received this message because you are subscribed to the Google Groups "Trac 
Users" group.
To unsubscribe from this group and stop receiving emails from it, send an email 
to trac-users+unsubscr...@googlegroups.com.
To post to this group, send email to trac-users@googlegroups.com.
Visit this group at https://groups.google.com/group/trac-users.
For more options, visit https://groups.google.com/d/optout.

Reply via email to